Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# region.hh File Reference

A GdkRegion C++ wrapper interface. More...

`#include <xfc/object.hh>`
`#include <gdk/gdkregion.h>`
`#include <vector>`
`#include <xfc/gdk/inline/region.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk

## Classes

- class Xfc::Gdk::Region
    A GdkRegion C++ wrapper class. More...

## Enumerations

- enum FillRule {
  EVEN_ODD_RULE = GDK_EVEN_ODD_RULE,
  WINDING_RULE = GDK_WINDING_RULE
  }
    Specifies the method for determining which pixels are included in a region, when creating a Region from a polygon. More...
- enum OverlapType {
  OVERLAP_RECTANGLE_IN = GDK_OVERLAP_RECTANGLE_IN,
  OVERLAP_RECTANGLE_OUT = GDK_OVERLAP_RECTANGLE_OUT,
  OVERLAP_RECTANGLE_PART = GDK_OVERLAP_RECTANGLE_PART
  }
    Specifies the possible values returned by Gdk::Region::rect_in(). More...

## Detailed Description

A GdkRegion C++ wrapper interface.

Provides Region, an object that holds a set of arbitrary pixels, and is usually used for clipping graphical operations (see Gdk::GC::set_clip_region()).

## Enumeration Type Documentation

enum FillRule

Specifies the method for determining which pixels are included in a region, when creating a Region from a polygon.

The fill rule is only relevant for polygons which overlap themselves.

Enumeration values:

  EVEN_ODD_RULE | Areas which are overlapped an odd number of times are included in the region, while areas overlapped an even number of times are not.
  WINDING_RULE | Overlapping areas are always included.

enum OverlapType

Specifies the possible values returned by Gdk::Region::rect_in().

Enumeration values:

  OVERLAP_RECTANGLE_IN | The rectangle is inside the Region.
  OVERLAP_RECTANGLE_OUT | The rectangle is outside the Region.
  OVERLAP_RECTANGLE_PART | The rectangle is partly inside the Region.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3